import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (i, o, n, r) => {
  for (var e = r > 1 ? void 0 : r ? m(o, n) : o, s = i.length - 1, c; s >= 0; s--)
    (c = i[s]) && (e = (r ? c(o, n, e) : c(e)) || e);
  return r && e && f(o, n, e), e;
};
let t = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chevronDown", this.class = "c-pieIcon c-pieIcon--chevronDown", this.name = "IconChevronDown";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chevronDown"><path d="M2.82 5.044 8 10.399 13.197 5l.963.875-5.364 5.565a1.164 1.164 0 0 1-1.636 0L1.875 5.945l.945-.901Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], t.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = p([
  a("icon-chevron-down")
], t);
export {
  t as IconChevronDown
};
